#include <iostream>
#include <cmath>

using namespace std;

#define MAXE 10000

int main()
{
    int t, n[MAXE], a[MAXE], b[MAXE], ind[MAXE];
    cin >> t;
    for(int i = 1; i <= t; i++){
        cin >> n[i];
        for(int j = 1; j <= n[i];j++){
            cin >> a[j];
        }
        for(int k = 1; k <= n[i];k++){
            cin >> b[k];
        }
        ind[i] = 0;
        for(int c = 1,d = n[i]; c <= n[i], d > 0; c++,d--){
                if(a[c] == abs(b[d])){
                    ind[i]++;
                }
        }
    }
    for(int i = 1; i <= t; i++){
        if(ind[i] == n[i])
            cout << "DA";
        else
            cout << "NE";
    }
    return 0;
}